automake-patches
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[PATCH 5/6] objc++: test more automatic dependency tracking


From: Peter Breitenlohner
Subject: [PATCH 5/6] objc++: test more automatic dependency tracking
Date: Mon, 30 Apr 2012 11:12:15 +0200

* t/objcxx-deps2.sh: New test.

Signed-off-by: Peter Breitenlohner <address@hidden>
---
 t/objcxx-deps2.sh |   58 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 58 insertions(+), 0 deletions(-)
 create mode 100755 t/objcxx-deps2.sh

diff --git a/t/objcxx-deps2.sh b/t/objcxx-deps2.sh
new file mode 100755
index 0000000..8ca1e72
--- /dev/null
+++ b/t/objcxx-deps2.sh
@@ -0,0 +1,58 @@
+#! /bin/sh
+# Copyright (C) 2012 Free Software Foundation, Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+
+# Make sure dependency tracking works for ObjC++.
+
+required=g++
+. ./defs || Exit 1
+
+cat >> configure.ac << 'END'
+# Objective C++ requires Autoconf 2.65 (2009-11-21)
+AC_PREREQ([2.65])
+AC_PROG_OBJCXX([g++])
+AC_OUTPUT
+END
+
+cat > Makefile.am << 'END'
+bin_PROGRAMS = convert
+convert_SOURCES = convert.mm
+END
+
+$ACLOCAL || {
+  if test $? -eq 63; then
+    exit 77
+  else
+    exit $?
+  fi
+}
+
+$AUTOCONF
+$AUTOMAKE
+./configure >stdout || exit 77 # in case g++ does not support ObjC++
+cat stdout
+
+# Configure must be checking the dependency style of g++ ...
+grep 'dependency style of g++' stdout >filt
+cat filt
+
+# ... only once.
+test `wc -l < filt` = 1
+
+# Accept any outcome but 'none'
+# (at the time of writing it should be gcc or gcc3).
+grep -v none filt
+
+:
-- 
1.7.3.1




reply via email to

[Prev in Thread] Current Thread [Next in Thread]